/* Estilos para a cortina de fundo */
.loading-overlay {
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: rgba(255, 255, 255, 0.7);
   display: flex;
   justify-content: center;
   align-items: center;
   z-index: 9999;
   opacity: 0;
   visibility: hidden;
   transition: opacity 0.3s ease, visibility 0.3s ease;
}

/* Estilo para a bolinha girando (spinner) */
.loading-overlay .spinner-border {
   width: 3rem;
   height: 3rem;
   color: #8D080A;
   /* Cor da Kropneus */
}

/* Classe para mostrar a cortina */
.loading-overlay.show {
   opacity: 1;
   visibility: visible;
}